%define up_name     LibVNCServer
%define major       0
%define libname     %mklibname vncserver %{major}
%define develname   %mklibname -d vncserver

Name:       libvncserver
Version:    0.9.10
Release:    %mkrel 2
Summary:    An easy API to write one's own VNC server
Group:      System/Libraries
License:    GPL
URL:        http://libvnc.github.io
Source:     https://github.com/LibVNC/libvncserver/archive/%{up_name}-%{version}.tar.xz
Patch0:	    LibVNCServer-0.9.9-formatstr.patch
Patch1:	    LibVNCServer-0.9.10-system_minilzo.patch
Patch2:	    libvncserver-0.9.1-multilib.patch

BuildRequires:  libx11-devel
BuildRequires:  libxdamage-devel
BuildRequires:  libxext-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxtst-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxfixes-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  jpeg-devel
BuildRequires:  gettext-devel

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{libname}
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries

%description -n	%{libname}
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
Static libraries and header files for LibVNCServer.

%package -n	linuxvnc
Summary: 	VNC server to monitor a text session
Group:		Networking/Remote access

%description -n	linuxvnc
With linuxvnc you can export your currently running text sessions to any VNC
client. So it can be useful, if you want to move to another computer without
having to log out and if you've forgotten to attach a 'screen' session to it,
or to help a distant colleague to solve a problem.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup -q -n %{name}-%{up_name}-%{version}
%patch0 -p1 -b .formatstr
%patch1 -p1 -b .system_minilzo
#nuke bundled minilzo
rm -f common/lzodefs.h common/lzoconf.h commmon/minilzo.h common/minilzo.c
%patch2 -p1 -b .multilib


%build
autoreconf -fiv
%configure2_5x --disable-static --without-libva
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/rfb
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_bindir}/libvncserver-config



%changelog
* Mon Mar 28 2016 bb <bb> 0.9.10-2pclos2016
- rebuild for openssl

